package com.example.debug

import android.os.Bundle
import android.widget.Button
import android.widget.EditText
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity

//  高度なデバッグ     BMI計算
class DebugSample2 : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        //  アクティビティにレイアウトを設定
        setContentView(R.layout.debug_sample2)

        //  XML定義のビューを取得
        val editText1 = findViewById<EditText>(R.id.height)
        val editText2 = findViewById<EditText>(R.id.weight)
        val button1 = findViewById<Button>(R.id.bmiButton)
        val textView1 = findViewById<TextView>(R.id.std)
        val textView2 = findViewById<TextView>(R.id.bmi)
        val textView3 = findViewById<TextView>(R.id.bmiString)

        //  計算ボタン　BMI算出
        button1.setOnClickListener {
            var height = editText1.text.toString().toDouble()
            val weight = editText2.text.toString().toDouble()
            val std: Double
            val bmi: Double
            val bmiString: String

            //  計算処理
            height /= 100.0 //  身長(m)
            std = height * height * 22.0 //  標準体重 = 身長(m)×身長(m)×22
            bmi = weight / (height * height) //  BMI = 体重÷(身長(m)×身長(m))

            //  BMI判定
            if (bmi < 18.5) {
                bmiString = "低体重"
            } else if (bmi < 25) {
                bmiString = "普通体重"
            } else if (bmi < 30) {
                bmiString = "肥満（1度）"
            } else if (bmi < 35) {
                bmiString = "肥満（2度）"
            } else if (bmi < 40) {
                bmiString = "肥満（3度）"
            } else {
                bmiString = "肥満（4度）"
            }

            //  テキストビュー表示
            textView1.text = "標準体重：" + String.format("%.2f", std) + "kg"
            textView2.text = "BMI：" + String.format("%.2f", bmi)
            textView3.text = "BMI評価：" + bmiString
        }

        debugFunc1()         //　ブレークポイント　説明用処理　1から1000までの累計
    }

    //　ブレークポイント　説明用処理　1から1000までの累計
    private fun debugFunc1() {
        var total = 0

        for (i in 1..1000) { //  1000回のループ
            total += i
        }
    }
}





//for (i in 1..1000) { //  1000回のループ
//    total += i
//    Log.d(TAG, "i:" + i + " total:" + total)
//}
private val TAG = "MyApp"   //  Log出力のタグ

private fun debugFunc2(): Int {
    //  合格者（60点以上）の平均算出
    val scores = intArrayOf(70, 55, 60, 40, 90)
    var num = 0   //    合格者人数
    var total = 0   //  合格点の累計
    var ans = 0 //  合格者平均点

    //  合格点の累計処理
    for (i in scores.indices) {
        if (scores[i] >= 60) {
            total += scores[i]
            num++
        }
    }
    if (num > 0) {
        ans = total / num
    }
    return ans
}


//        for (i in 1..100) {
//            total += i
//        }


//  実行エラー
//        editText[5]?.setText("hello")


//  実行エラー
//return calcSum() / 0



//            Log.d(TAG, "setOnClickListener sum=$ret")
//            startActivity(Intent(this, SubActivity::class.java))