package com.example.calcsample

import android.os.Bundle
import android.support.v7.app.AppCompatActivity
import android.widget.Button
import android.widget.EditText

import android.widget.Toast

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val button = findViewById<Button>(R.id.keisan)


        button.setOnClickListener {

            //未入力チェック用
            var isValid = true

            val tankaInput = findViewById<EditText>(R.id.tanka)
            val tankaText  = tankaInput.text.toString()

            isValid = b(tankaText, tankaInput, "tanka")

            val suInput = findViewById<EditText>(R.id.su)
            val suText = suInput.text.toString()

            if (suText.isEmpty()) {
                // 数量が未入力の場合
                suInput.error = getString(R.string.su_err)
                isValid = false
            }

            val nebikiInput = findViewById<EditText>(R.id.nebiki)
            val nebikiText = nebikiInput.text.toString()

            if (nebikiText.isEmpty()) {
                // 値引額
                // が未入力の場合
                nebikiInput.error = getString(R.string.nebiki_err)
                isValid = false
            }

            calcGoukei(isValid, tankaText, suText, nebikiText)
        }



    }

    private fun b(tankaText: String, tankaInput: EditText, itemName: String): Boolean {
        var isValid1 = true
        if (tankaText.isEmpty()) {
            // 単価が未入力の場合
            tankaInput.error = getString(R.string.tanka_err)
            isValid1 = false
        }
        return isValid1
    }

    private fun calcGoukei(
        isValid: Boolean,
        tankaText: String,
        suText: String,
        nebikiText: String
    ) {
        if (isValid) {
            // 合計金額を算出
            val c = TotalCalc.Calc()

            val kingaku = c.i(tankaText, suText, nebikiText)

            //トーストで合計金額を表示
            Toast.makeText(applicationContext, "合計金額は${kingaku.toString()}円です", Toast.LENGTH_LONG).show()
        }
    }

}

